# Visualization
TKV3d
AIS

# AIS_LocalStatus Class Reference

Stored Info about temporary objects.
.

`#include <AIS_LocalStatus.hxx>`

## Public Member Functions

Standard_EXPORT | AIS_LocalStatus (const Standard_Boolean IsTemporary=Standard_True, const Standard_Boolean Decompose=Standard_False, const Standard_Integer DisplayMode=-1, const Standard_Integer SelectionMode=-1, const Standard_Integer HilightMode=0, const Standard_Boolean SubIntensity=0, const Quantity_NameOfColor TheHiCol=Quantity_NOC_WHITE)
Standard_Boolean | Decomposed () const
Standard_Boolean | IsTemporary () const
Standard_Integer | DisplayMode () const
const TColStd_ListOfInteger & | SelectionModes () const
Standard_EXPORT Standard_Boolean | IsActivated (const Standard_Integer aSelMode) const
Standard_Integer | HilightMode () const
Standard_Boolean | IsSubIntensityOn () const
Quantity_NameOfColor | HilightColor () const
void | SetDecomposition (const Standard_Boolean astatus)
void | SetTemporary (const Standard_Boolean astatus)
void | SetDisplayMode (const Standard_Integer aMode)
void | SetFirstDisplay (const Standard_Boolean aStatus)
Standard_Boolean | IsFirstDisplay () const
Standard_EXPORT void | AddSelectionMode (const Standard_Integer aMode)
Standard_EXPORT void | RemoveSelectionMode (const Standard_Integer aMode)
Standard_EXPORT void | ClearSelectionModes ()
Standard_EXPORT Standard_Boolean | IsSelModeIn (const Standard_Integer aMode) const
void | SetHilightMode (const Standard_Integer aMode)
void | SetHilightColor (const Quantity_NameOfColor aHiCol)
void | SubIntensityOn ()
void | SubIntensityOff ()
void | SetPreviousState (const Handle(Standard_Transient)&aStatus)
const Handle_Standard_Transient & | PreviousState () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | myDecomposition
Standard_Boolean | myIsTemporary
Standard_Integer | myDMode
Standard_Boolean | myFirstDisplay
Standard_Integer | myHMode
TColStd_ListOfInteger | mySModes
Standard_Boolean | mySubIntensity
Quantity_NameOfColor | myHiCol
Handle_Standard_Transient | myPreviousState

## Constructor & Destructor Documentation

Standard_EXPORT AIS_LocalStatus::AIS_LocalStatus | ( | const Standard_Boolean | IsTemporary = `Standard_True`,
|  | const Standard_Boolean | Decompose = `Standard_False`,
|  | const Standard_Integer | DisplayMode = `-1`,
|  | const Standard_Integer | SelectionMode = `-1`,
|  | const Standard_Integer | HilightMode = `0`,
|  | const Standard_Boolean | SubIntensity = `0`,
|  | const Quantity_NameOfColor | TheHiCol = `Quantity_NOC_WHITE`
| ) |

## Member Function Documentation

Standard_EXPORT void AIS_LocalStatus::AddSelectionMode | ( | const Standard_Integer | aMode | ) |

Standard_EXPORT void AIS_LocalStatus::ClearSelectionModes | ( |  | ) |

Standard_Boolean AIS_LocalStatus::Decomposed | ( |  | ) | const`[inline]`

Standard_Integer AIS_LocalStatus::DisplayMode | ( |  | ) | const`[inline]`

Standard_EXPORT const AIS_LocalStatus::Handle | ( | Standard_Type |  | ) | const

Quantity_NameOfColor AIS_LocalStatus::HilightColor | ( |  | ) | const`[inline]`

Standard_Integer AIS_LocalStatus::HilightMode | ( |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean AIS_LocalStatus::IsActivated | ( | const Standard_Integer | aSelMode | ) | const

Standard_Boolean AIS_LocalStatus::IsFirstDisplay | ( |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean AIS_LocalStatus::IsSelModeIn | ( | const Standard_Integer | aMode | ) | const

Standard_Boolean AIS_LocalStatus::IsSubIntensityOn | ( |  | ) | const`[inline]`

Standard_Boolean AIS_LocalStatus::IsTemporary | ( |  | ) | const`[inline]`

const Handle_Standard_Transient& AIS_LocalStatus::PreviousState | ( |  | ) | const

Standard_EXPORT void AIS_LocalStatus::RemoveSelectionMode | ( | const Standard_Integer | aMode | ) |

const TColStd_ListOfInteger & AIS_LocalStatus::SelectionModes | ( |  | ) | const`[inline]`

void AIS_LocalStatus::SetDecomposition | ( | const Standard_Boolean | astatus | ) | `[inline]`

void AIS_LocalStatus::SetDisplayMode | ( | const Standard_Integer | aMode | ) | `[inline]`

void AIS_LocalStatus::SetFirstDisplay | ( | const Standard_Boolean | aStatus | ) | `[inline]`

void AIS_LocalStatus::SetHilightColor | ( | const Quantity_NameOfColor | aHiCol | ) | `[inline]`

void AIS_LocalStatus::SetHilightMode | ( | const Standard_Integer | aMode | ) | `[inline]`

void AIS_LocalStatus::SetPreviousState | ( | const Handle(Standard_Transient)& | aStatus | ) | `[inline]`

void AIS_LocalStatus::SetTemporary | ( | const Standard_Boolean | astatus | ) | `[inline]`

void AIS_LocalStatus::SubIntensityOff | ( |  | ) | `[inline]`

void AIS_LocalStatus::SubIntensityOn | ( |  | ) | `[inline]`

## Field Documentation

Standard_Boolean AIS_LocalStatus::myDecomposition `[private]`

Standard_Integer AIS_LocalStatus::myDMode `[private]`

Standard_Boolean AIS_LocalStatus::myFirstDisplay `[private]`

Quantity_NameOfColor AIS_LocalStatus::myHiCol `[private]`

Standard_Integer AIS_LocalStatus::myHMode `[private]`

Standard_Boolean AIS_LocalStatus::myIsTemporary `[private]`

Handle_Standard_Transient AIS_LocalStatus::myPreviousState `[private]`

TColStd_ListOfInteger AIS_LocalStatus::mySModes `[private]`

Standard_Boolean AIS_LocalStatus::mySubIntensity `[private]`

The documentation for this class was generated from the following files:

- AIS_LocalStatus.hxx
- AIS_LocalStatus.lxx